# disable fortify as it causes segmentation fault in vnstati
%undefine _fortify_cflags

Summary:	vnStat is a console-based network traffic monitor
Name:		vnstat
Version:	2.11
Release:	%mkrel 1
License:	GPLv2+
Group:		Monitoring
Url:		http://humdi.net/vnstat/
Source0:	http://humdi.net/vnstat/%{name}-%{version}.tar.xz
Source1:	vnstat.init
Source2:	vnstat_ip-up
Source3:	vnstat_ip-down
BuildRequires:	lib64sqlite3-devel
BuildRequires:	lib64gd-devel
BuildRequires:	lib64check-devel

%description
vnStat is a console-based network traffic monitor for Linux and BSD that keeps
a log of network traffic for the selected interface(s). It uses the network
interface statistics provided by the kernel as information source. This means
that vnStat won't actually be sniffing any traffic and also ensures light use
of system resources.

%files
%doc examples/
%{_bindir}/vnstat
%{_bindir}/vnstati
%{_sbindir}/vnstatd
%config(noreplace) %{_sysconfdir}/vnstat.conf
%{_initrddir}/vnstat
%{_sysconfdir}/sysconfig/network-scripts/if*.d/vnstat*
%{_mandir}/*/*
%{_localstatedir}/lib/vnstat

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches
install -m 0755 %{SOURCE1} vnstat.init
install -m 0755 %{SOURCE2} vnstat_ip-up
install -m 0755 %{SOURCE3} vnstat_ip-down

%build
autoreconf -fi
export CFLAGS="$CFLAGS -pipe -ffast-math"
export CXXFLAGS="$CXXFLAGS -pipe -ffast-math"
%configure2_5x
%make_build

%install
%make_install

# vnstat service
install -d %{buildroot}%{_initrddir}
install -m755 vnstat.init %{buildroot}%{_initrddir}/vnstat

# ifup/ifdown hooks
install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup.d
install -m755 vnstat_ip-up %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup.d
install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown.d
install -m755 vnstat_ip-down %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown.d
install -d %{buildroot}%{_localstatedir}/lib/vnstat

%pretrans -p <lua>
-- # Kill this directory if a symlink for it exists already
basepath = "/usr/share/doc/vnstat/examples/init.d"
ubupath = basepath .. "/ubuntu"
centpath = basepath .. "/centos"
st = posix.stat(ubupath)
if st and st.type == "link" then
  os.remove(ubupath)
  os.remove(centpath)
end


%changelog
* Mon Aug 21 2023 tex - 2.11-1pclos2023
- new version

* Tue May 18 2021 tex - 2.7-1pclos2021
- new version: 2.7
